
QGIS Application - Bug report #12696

Composer Manager - Label rotation
Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20802

Description

Place a label and try to rotate it counter-clockwise. It is not possible since the rotation angle does not accept negative values. Check now

the data definition description where the expected input should be a double [-180.0, 180.0].

The expected input should be in the range of [-180.0, 180.0] and not [0.0, 360.0] or if it is desired to place labels upside-down then you

could extend the range to [-360.0, 360.0].

Associated revisions

Revision 6f368bed - 2017-05-30 09:18 AM - Nyall Dawson

[composer] Allow item rotation from -360->360

Fix #12696

History

#1 - 2015-05-07 01:58 AM - Giovanni Manghi

- Category set to Labelling

- Status changed from Open to Feedback

if you want to show upside down labels you must use the proper option in labelling > rendering, isn't this what you are looking for?

#2 - 2015-05-07 06:15 AM - Harrissou Santanna

Hi,

I think it's rather about text added to print composer (such as title, source...) than labelling. 

The "Rotation" spinbox doesn't allow to write negative value. You only can write [0.0, 360.0] values.

But "data defined override" option seems to allow any value although its description says that only [-180.0, 180.0] values are allowed.

There is a need of homogenization...

And testing further, it appears that this rotation "incoherence" happens also with any item in the print composer (map, shape, legend...), in brief with all

rotation spinbox, except for map rotation where "data defind override" function seems to not work (I'll fill a ticket about).

#3 - 2015-05-11 01:07 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Affected QGIS version changed from 2.8.1 to master
- Category changed from Labelling to Map Composer/Printing

#4 - 2017-05-01 01:07 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2017-05-31 04:54 AM - Nyall Dawson

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|6f368bed6ac21d59f9409b18b99bd0431eebe1fd.
